Bug 225989 - [patch] sysutils/slurm-wlm: fix build with WITHOUT_KERBEROS
Summary: [patch] sysutils/slurm-wlm: fix build with WITHOUT_KERBEROS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-17 17:13 UTC by Tijl Coosemans
Modified: 2018-05-20 22:14 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jrm)


Attachments
patch (2.82 KB, patch)
2018-02-17 17:13 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2018-02-17 17:13:31 UTC
Created attachment 190735 [details]
patch

Some files include roken.h but this header doesn't exist on systems built with WITHOUT_KERBEROS.  The header doesn't seem to be needed so the attached patch simply removes the includes.
Comment 1 commit-hook freebsd_committer 2018-02-20 03:30:21 UTC
A commit references this bug:

Author: jrm
Date: Tue Feb 20 03:29:52 UTC 2018
New revision: 462368
URL: https://svnweb.freebsd.org/changeset/ports/462368

Log:
  sysutils/slurm-wlm: Fix WITHOUT_KERBEROS build and configure issue

  - Fix build when WITHOUT_KERBEROS is used by patching files to remove
    '#include <roken.h>'. [1]
  - Fix configure when PREFIX is set to something other than /usr/local. The
    check for man2html is hard-coded to search /usr/bin and
    /usr/local/bin. [2]

  PR:		225989
  Submitted by:	tijl [1] jwb [2]

Changes:
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/slurm-wlm/files/patch-nokerberos
Comment 2 Joseph Mingrone freebsd_committer 2018-02-20 03:31:15 UTC
Thanks.
Comment 3 Volodymyr Kostyrko 2018-05-20 22:14:30 UTC
This was incorrect, added patch actually adds 3 required patches to the port, it should be applied to ports, not the slurm source.